const API_ERRORS = {
    USER_NOT_STUDENT_OF_CLASS: "USER_IS_NOT_STUDENT_OF_CLASS",
    LOGIN_REGISTER: {
        PASSWORD_INCORRECT: "INCORRECT_PASSWORD",
        REPASSWORD_NOT_EQUALS_PASSWORD: "REPASSWORD_NOT_EQUALS_PASSWORD",
        USERNAME_EMPTY: "USERNAME_EMPTY",
        USER_NOT_FOUND: "USER_NOT_FOUND",
        USERNAME_EXISTED: "USERNAME_EXISTED",
		USERNAME_OR_PASSWORD_INCORRECT: "USERNAME_OR_PASSWORD_INCORRECT"
    },
    COURSE_CONTENT: {
        DRAG_AND_DROP_IS_NOT_ALLOWED: "DRAG_AND_DROP_IS_NOT_ALLOWED",
    },

    // * ERRORS THAT NEED DEFAULT HANLDING
    UNAUTHORIZED: "UNAUTHORIZED",
    JWT_EXPIRED: "JWT_EXPIRES",
    PROGRAM: {
        PROGRAM_CODE_ALREADY_EXISTS: "PROGRAM_CODE_ALREADY_EXISTS",
        PROGRAM_NOT_FOUND: "PROGRAM_NOT_FOUND",
    },
    CLASS: {
        CLASS_CODE_ALREADY_EXISTS: "CLASS_CODE_ALREADY_EXISTS",
        CLASS_NOT_FOUND: "CLASS_NOT_FOUND",
        MEMBER: {
            MEMBER_ALREADY_IN_CLASS: "MEMBER_ALREADY_IN_CLASS",
            ROLE_NOT_FOUND: "ROLE_NOT_FOUND",
            STAFF_NOT_FOUND: "STAFF_NOT_FOUND",
        },
        NOTIFICATION: {
            NOTIFICATION_NOT_FOUND: "NOTIFICATION_NOT_FOUND",
        },
        QUIZ: {
            QUIZ_NOT_FOUND_IN_CLASS: "QUIZ_NOT_FOUND_IN_CLASS",
        },
        DISCUSSION: {
            POST_NOT_FOUND: "POST_NOT_FOUND",
            COMMENT_NOT_FOUND: "COMMENT_NOT_FOUND",
        },
        TEACHER: {
            TEACHER_HAS_ALREADY_IN_CLASS: "TEACHER_HAS_ALREADY_IN_CLASS",
            TEACHER_NOT_FOUND_IN_CLASS: "TEACHER_NOT_FOUND_IN_CLASS"
        },
    },
    TEXT_BOOK: {
        TEXTBOOK_NOT_FOUND: "TEXTBOOK_NOT_FOUND",
    },
    EXAM: {
        EXAM_NOT_FOUND: "EXAM_NOT_FOUND",
        UNSUPPORTED_QUESTION_TYPE: "UNSUPPORTED_QUESTION_TYPE",
        EXAM_INSTANCE_HAS_NOT_CONFIGURED_YET:
            "EXAM_INSTANCE_HAS_NOT_CONFIGURED_YET",
        EXAM_INSTANCE_HAS_ALREADY_CLOSED: "EXAM_INSTANCE_HAS_ALREADY_CLOSED",
        FINISHED_TIME_NOT_VALID: "FINISHED_TIME_NOT_VALID",
        EXAM_HAS_NOT_SCORED_FOR_STUDENT: "EXAM_HAS_NOT_SCORED_FOR_STUDENT",
        EXAM_INSTANCE_IS_NOT_FULLY_CONFIGURED:
            "EXAM_INSTANCE_IS_NOT_FULLY_CONFIGURED",
        EXAM_SESSION_EXPIRED: "EXAM_SESSION_EXPIRED",
        QUIZ_IS_NOT_ALLOWED_TO_PUBLISH: "QUIZ_IS_NOT_ALLOWED_TO_PUBLISH",
        SESSION_HAS_NOT_ENDED: "SESSION_HAS_NOT_ENDED",
    },
    VOTING: {
        ADD_CHOICE_IS_NOT_ALLOWED: "ADD_CHOICE_IS_NOT_ALLOWED",
        VOTING_NOT_FOUND: "VOTING_NOT_FOUND",
        VOTING_CHOICE_NOT_FOUND: "VOTING_CHOICE_NOT_FOUND",
        USER_IS_NOT_ALLOWED_TO_UPDATE_VOTING_CHOICE:
            "USER_IS_NOT_ALLOWED_TO_UPDATE_VOTING_CHOICE",
    },
    TEACHING_CONTENT: {
        CHAPTER_NOT_FOUND: "CHAPTER_NOT_FOUND",
        DRAG_AND_DROP_IS_NOT_ALLOWED: "DRAG_AND_DROP_IS_NOT_ALLOWED",
        UNSUPPORTED_CONTENT_TYPE: "UNSUPPORTED_CONTENT_TYPE",
    },

    NETWORK_ERRORS: {
        TIME_OUT: "REQUEST_TIME_OUT",
        GENERAL_NETWORK_ERROR: "Network Error",
    },
};

export default API_ERRORS;
